# HG changeset patch
# User Rafael Laboissiere <rafael@laboissiere.net>
# Date 1451383082 7200
#      Tue Dec 29 07:58:02 2015 -0200
# Node ID 7440fa6692b6d27be374c69b6e750aff6503eabf
# Parent  b51078f0788664e4082f27d39c1cd958fea18c7b
Fix spelling of word "occurred"

* scripts-ChangeLog, error.cc, ov-oncleanup.cc, ddastp.f, sstode.f,
stode.f, oct-inttypes.cc, errordlg.m, warndlg.m: Change all
occurrences of "occured" to "occurred".

diff -r b51078f07886 -r 7440fa6692b6 etc/OLD-ChangeLogs/scripts-ChangeLog
--- a/etc/OLD-ChangeLogs/scripts-ChangeLog	Mon Dec 28 16:30:08 2015 -0800
+++ b/etc/OLD-ChangeLogs/scripts-ChangeLog	Tue Dec 29 07:58:02 2015 -0200
@@ -5568,7 +5568,7 @@
 	* optimization/fsolve.m: Avoid redundant reevaluation when using
 	FD jacobians. Document how it can be done with user jacobians.  Make
 	first iteration special and call outputfcn after it. Skip updates
-	unless two successful iterations have occured.
+	unless two successful iterations have occurred.
 	* optimization/__dogleg__.m: Add missing alpha in the zero-gradient
 	case.
 	* optimization/fsolve.m: Remove autodg (not used), simplify.
diff -r b51078f07886 -r 7440fa6692b6 libinterp/corefcn/error.cc
--- a/libinterp/corefcn/error.cc	Mon Dec 28 16:30:08 2015 -0800
+++ b/libinterp/corefcn/error.cc	Tue Dec 29 07:58:02 2015 -0200
@@ -86,7 +86,7 @@
 // The last error message id.
 static std::string Vlast_error_id;
 
-// The last file in which an error occured
+// The last file in which an error occurred
 static octave_map Vlast_error_stack;
 
 // Current error state.
diff -r b51078f07886 -r 7440fa6692b6 libinterp/octave-value/ov-oncleanup.cc
--- a/libinterp/octave-value/ov-oncleanup.cc	Mon Dec 28 16:30:08 2015 -0800
+++ b/libinterp/octave-value/ov-oncleanup.cc	Tue Dec 29 07:58:02 2015 -0200
@@ -85,7 +85,7 @@
     {
       recover_from_exception ();
 
-      warning ("onCleanup: interrupt occured in cleanup action");
+      warning ("onCleanup: interrupt occurred in cleanup action");
     }
   catch (const octave_execution_exception&)
     {
diff -r b51078f07886 -r 7440fa6692b6 liboctave/cruft/dassl/ddastp.f
--- a/liboctave/cruft/dassl/ddastp.f	Mon Dec 28 16:30:08 2015 -0800
+++ b/liboctave/cruft/dassl/ddastp.f	Tue Dec 29 07:58:02 2015 -0200
@@ -543,7 +543,7 @@
 C     THE NEWTON ITERATION FAILED TO CONVERGE FOR A REASON
 C     OTHER THAN A SINGULAR ITERATION MATRIX.  IF IRES = -2, THEN
 C     RETURN.  OTHERWISE, REDUCE THE STEPSIZE AND TRY AGAIN, UNLESS
-C     TOO MANY FAILURES HAVE OCCURED.
+C     TOO MANY FAILURES HAVE OCCURRED.
 650   CONTINUE
       IF (IRES .GT. -2) GO TO 655
       IDID = -11
diff -r b51078f07886 -r 7440fa6692b6 liboctave/cruft/odepack/sstode.f
--- a/liboctave/cruft/odepack/sstode.f	Mon Dec 28 16:30:08 2015 -0800
+++ b/liboctave/cruft/odepack/sstode.f	Tue Dec 29 07:58:02 2015 -0200
@@ -451,7 +451,7 @@
       IRET = 2
       GO TO 150
 C-----------------------------------------------------------------------
-C Control reaches this section if 3 or more failures have occured.
+C Control reaches this section if 3 or more failures have occurred.
 C If 10 failures have occurred, exit with KFLAG = -1.
 C It is assumed that the derivatives that have accumulated in the
 C YH array have errors of the wrong order.  Hence the first
diff -r b51078f07886 -r 7440fa6692b6 liboctave/cruft/odepack/stode.f
--- a/liboctave/cruft/odepack/stode.f	Mon Dec 28 16:30:08 2015 -0800
+++ b/liboctave/cruft/odepack/stode.f	Tue Dec 29 07:58:02 2015 -0200
@@ -435,7 +435,7 @@
       IRET = 2
       GO TO 150
 C-----------------------------------------------------------------------
-C CONTROL REACHES THIS SECTION IF 3 OR MORE FAILURES HAVE OCCURED.
+C CONTROL REACHES THIS SECTION IF 3 OR MORE FAILURES HAVE OCCURRED.
 C IF 10 FAILURES HAVE OCCURRED, EXIT WITH KFLAG = -1.
 C IT IS ASSUMED THAT THE DERIVATIVES THAT HAVE ACCUMULATED IN THE
 C YH ARRAY HAVE ERRORS OF THE WRONG ORDER.  HENCE THE FIRST
diff -r b51078f07886 -r 7440fa6692b6 liboctave/util/oct-inttypes.cc
--- a/liboctave/util/oct-inttypes.cc	Mon Dec 28 16:30:08 2015 -0800
+++ b/liboctave/util/oct-inttypes.cc	Tue Dec 29 07:58:02 2015 -0200
@@ -201,7 +201,7 @@
     return xop::op (xx, y);
   else
     {
-      // If equality occured we compare as integers.
+      // If equality occurred we compare as integers.
       if (xx == xxup)
         return xop::gtval;
       else
@@ -222,7 +222,7 @@
     return xop::op (xx, y);
   else
     {
-      // If equality occured we compare as integers.
+      // If equality occurred we compare as integers.
       if (xx == xxup)
         return xop::gtval;
       else if (xx == xxlo)
diff -r b51078f07886 -r 7440fa6692b6 scripts/gui/errordlg.m
--- a/scripts/gui/errordlg.m	Mon Dec 28 16:30:08 2015 -0800
+++ b/scripts/gui/errordlg.m	Tue Dec 29 07:58:02 2015 -0200
@@ -49,7 +49,7 @@
 
 %!demo
 %! disp ('- test errordlg with prompt only.');
-%! errordlg ('Oops, an expected error occured');
+%! errordlg ('Oops, an expected error occurred');
 
 %!demo
 %! disp ('- test errordlg with prompt and caption.');
diff -r b51078f07886 -r 7440fa6692b6 scripts/gui/warndlg.m
--- a/scripts/gui/warndlg.m	Mon Dec 28 16:30:08 2015 -0800
+++ b/scripts/gui/warndlg.m	Tue Dec 29 07:58:02 2015 -0200
@@ -49,7 +49,7 @@
 
 %!demo
 %! disp ('- test warndlg with prompt only.');
-%! warndlg ('Oh, a warning occured');
+%! warndlg ('Oh, a warning occurred');
 
 %!demo
 %! disp ('- test warndlg with prompt and caption.');
